Page MenuHomePhabricator

VisualEditor: Invocation of "lastmodifiedat" message is not updated when page is saved
Closed, ResolvedPublic

Description

The sentence "This page was last modified on … " (message lastmodifiedat) is not updated after an edit.


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48560

Details

Reference
bz52403

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:12 AM
bzimport set Reference to bz52403.
Ltrlg created this task.Aug 1 2013, 4:29 PM

Same problem as bug 48560 (the page isn't re-painted when the edit is saved, just the contents <div>, and this sits outside that).

Change 170184 had a related patch set uploaded by Alex Monk:
Expose getLastModifiedText function

https://gerrit.wikimedia.org/r/170184

Change 170184 abandoned by Alex Monk:
Expose getLastModifiedText function

Reason:
oops

https://gerrit.wikimedia.org/r/170184

(... I had assumed this was for the LastModified extension without checking the message name.)

Change 170264 had a related patch set uploaded by Alex Monk:
Update "page was last modified on date, at time" footer line when saving

https://gerrit.wikimedia.org/r/170264

Change 170264 merged by jenkins-bot:
Update "page was last modified on date, at time" footer line when saving

https://gerrit.wikimedia.org/r/170264

Verified in test2 and betalabs. The timestamp for "This page was last modified on 5 November 2014, at 23:54." seems to reflect accurately editing&saving events.

Verified in production.